import request from '@/utils/request'

// 查询商店信息列表
export function listShopInfo(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.unimall.marketShopInfo',
      _mt: 'list',
      ...query
    }
  })
}

// 查询商店信息详细
export function getShopInfo(id) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.unimall.marketShopInfo',
      _mt: 'get',
      id: id
    }
  })
}

// 新增商店信息
export function addShopInfo(data) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.unimall.marketShopInfo',
      _mt: 'add',
      marketShopInfo: data
    }
  })
}

// 修改商店信息
export function updateShopInfo(data) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.unimall.marketShopInfo',
      _mt: 'update',
      marketShopInfo: data
    }
  })
}

// 删除商店信息
export function delShopInfo(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.unimall.marketShopInfo',
      _mt: 'delete',
      id: id
    }
  })
}

// 导出商店信息
export function exportShopInfo(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.unimall.marketShopInfo',
      _mt: 'export',
      ...query
    }
  })
}
